svn commit: r224972 - head/usr.sbin/bsdinstall/scripts

Nathan Whitehorn nwhitehorn at FreeBSD.org
Thu Aug 18 16:00:33 UTC 2011


Author: nwhitehorn
Date: Thu Aug 18 16:00:32 2011
New Revision: 224972
URL: http://svn.freebsd.org/changeset/base/224972

Log:
  Fix a bug that prevented docsinstall from being able to use DNS in most
  cases and provide a better error handling mechanism during package
  installation.
  
  Approved by:	re (kib)

Modified:
  head/usr.sbin/bsdinstall/scripts/docsinstall

Modified: head/usr.sbin/bsdinstall/scripts/docsinstall
==============================================================================
--- head/usr.sbin/bsdinstall/scripts/docsinstall	Thu Aug 18 15:31:31 2011	(r224971)
+++ head/usr.sbin/bsdinstall/scripts/docsinstall	Thu Aug 18 16:00:32 2011	(r224972)
@@ -59,11 +59,21 @@ NB: This requires a working, configured 
 test $? -eq 0 || exit 0
 exec 3>&-
 
+# Let pkg_add be able to use name servers
+cp ${BSDINSTALL_TMPETC}/resolv.conf ${BSDINSTALL_CHROOT}/etc
+
+error() {
+	dialog --backtitle "FreeBSD Installer" --title "Error" --msgbox \
+	    "Could not install package $1 (`tail -n 1 ${BSDINSTALL_LOG}`)" 0 0
+	exit 1
+}
+
+
 clear
 echo "FreeBSD Installer"
 echo "========================"
 echo
 
 for i in $DOCS; do
-    pkg_add -C ${BSDINSTALL_CHROOT} -r ${i}-freebsd-doc
+    pkg_add -C ${BSDINSTALL_CHROOT} -r ${i}-freebsd-doc || error $i-freebsd-doc
 done


More information about the svn-src-all mailing list